# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Prodigal Template

game: Prodigal
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.

Prodigal:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  specific_keys:
    # Normal keys are specific to a dungeon. The key count for each dungeon may be found in extra pages in the pause menu. Turn off to make normal keys act like in vanilla. If off, you may need to buy keys from Zaegul.
    'false': 50
    'true': 0

  colors_required:
    # Number of colors out of 5 needed to enter the Lighthouse.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 5
    5: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-5: 0 # random value between 0 and 5

  blessings_required:
    # Number of blessings out of 5 needed to access Enlightenment or to get the Hero's Rest ending.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 5
    5: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-5: 0 # random value between 0 and 5

  crest_fragments_required:
    # Number of crest fragments out of 5 needed to get past the door in Castle Vann.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 5
    5: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-5: 0 # random value between 0 and 5

  coins_of_crowl_required:
    # Number of Coins of Crowl out of 13 needed to get past the underwater door.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 13
    13: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-13: 0 # random value between 0 and 13

  goal:
    # The goal of the game.
    # var: Defeat Var.
    # rest: Revive Torran.
    # shadow: Defeat Shadow Oran.
    # torran: Defeat Torran.
    # any: Defeat any of the three.
    var: 50
    rest: 0
    shadow: 0
    torran: 0
    any: 0

  color_locations:
    # Choose where your colors can be found.
    # dungeon_prizes: Colors can be found on dungeon prizes (Vulture, Tidal Frog, Water Blessing, Rat Potion, Wren, Yhote, Spirit of Vann, Ram Wraith, Loomagnos, Earth Blessing, Color Correction, Light Spirit, Stindle, Frozen Heart, Killer, Siska, Mechanized Slot Machine, Inkwell).
    # local: Colors can be found anywhere in your own world.
    # any: Colors can be found in any world.
    dungeon_prizes: 0
    local: 0
    any: 50

  blessing_locations:
    # Choose where your blessings can be found.
    # dungeon_prizes: Blessings can be found on dungeon prizes (Vulture, Tidal Frog, Water Blessing, Rat Potion, Wren, Yhote, Spirit of Vann, Ram Wraith, Loomagnos, Earth Blessing, Color Correction, Light Spirit, Stindle, Frozen Heart, Killer, Siska, Mechanized Slot Machine, Inkwell).
    # local: Blessings can be found anywhere in your own world.
    # any: Blessings can be found in any world.
    dungeon_prizes: 0
    local: 0
    any: 50

  lighthouse_key:
    # Choose where your lighthouse key can be found. (Only applies if Specific Keys is on)
    # blessings: The lighthouse key is obtained when you return the blessings and get the Hero's Soul.
    # coins: The lighthouse key is found underwater behind the door requiring coins of Crowl.
    # materials: The lighthouse key is given to you by Bolivar when you give him the four materials.
    # local: The lighthouse key may be found anywhere in your own world.
    # any: The lighthouse key may be found in any world.
    blessings: 0
    coins: 0
    materials: 0
    local: 0
    any: 50

  trading_quest:
    # How to handle the trading quest.
    # vanilla: The Lost Shipment and Ulni checks are randomized. The entire trading quest must be completed as in vanilla to get Ulni's check.
    # skip: The Lost Shipment location and Anchor Greaves are randomized. The Lost Shipment itself is not randomized, and Ulni is not a check.
    # shuffle: All items in the trading quest are randomized, and each of the corresponding NPCs is a check.
    vanilla: 50
    skip: 0
    shuffle: 0

  shuffle_grelin_drops:
    # Grelin randomly drop four Archipelago items, and the Holy Relic, Wedding Ring, Silver Mirror, and Painting are added to the pool.
    'false': 50
    'true': 0

  shuffle_hidden_items:
    # Include hidden overworld items in the pool.
    'false': 50
    'true': 0

  shuffle_bjerg_castle:
    # Include Bjerg Castle (Mariana's marriage dungeon) in the pool. A sailor near the arena will take you there.
    'false': 50
    'true': 0

  shuffle_daemons_dive:
    # Include Daemon's Dive in the pool.
    'false': 50
    'true': 0

  shuffle_enlightenment:
    # Include Enlightenment in the pool.
    'false': 50
    'true': 0

  shuffle_secret_shop:
    # Include Zaegul's Secret Shop in the pool.
    'false': 50
    'true': 0

  skips_in_logic:
    # The seed may require skips such as side hits, two-tile flare jumps outside of Enlightenment, deleting objects with the Empowered Hand, and interacting with objects from a tile away.
    'false': 50
    'true': 0

  start_with_spiced_ham:
    # Start with a buff that lets you run.
    'false': 50
    'true': 0

  start_with_winged_boots:
    # Start with Winged Boots.
    'false': 50
    'true': 0

  skip_one_small_favor:
    # Tara gives you an item directly instead of requiring you to go on a fetch quest.
    'false': 50
    'true': 0

  fake_dread_hand:
    # Allow using teleport statues without having the dread hand.
    'false': 50
    'true': 0

  fast_fishing:
    # Only 100 points are required in the fishing minigame to get the item from Keaton and to get free fish.
    'false': 50
    'true': 0

  altar_to_var:
    # Defile the altar to Var. Receive double damage.
    'false': 50
    'true': 0

  altar_to_zolei:
    # Defile the altar to Zolei. Item drops are reduced in frequency, and you must fight Zolei alongside Var.
    'false': 50
    'true': 0

  altar_to_raem:
    # Defile the altar to Raem. Raem will attack you with beams of light, and you cannot gain extra HP through prayer.
    'false': 50
    'true': 0

  altar_to_hate:
    # Defile the altar to Hate. Heart ores do not increase your maximum HP.
    'false': 50
    'true': 0

  curse_of_frailty:
    # Accept the curse of frailty. You die in one hit.
    'false': 50
    'true': 0

  curse_of_famine:
    # Accept the curse of famine. You cannot buy buffs.
    'false': 50
    'true': 0

  curse_of_rust:
    # Accept the curse of rust. The pick cannot be upgraded, and boots and rings do not work, except for the Winged Boots and Wedding Rings.
    'false': 50
    'true': 0

  curse_of_wind:
    # Accept the curse of wind. Doubles the speed of projectiles.
    'false': 50
    'true': 0

  curse_of_blooms:
    # Accept the curse of blooms. Enemies drop bombs when they die.
    'false': 50
    'true': 0

  curse_of_crowns:
    # Accept the curse of crowns. You cannot marry anyone.
    'false': 50
    'true': 0

  curse_of_horns:
    # Accept the curse of horns. All junk items, such as gold, are replaced by traps. Note that if no trap options are selected then all traps will be enabled.
    'false': 50
    'true': 0

  curse_of_flames:
    # Accept the curse of flames. Flames appear behind you as you move through dungeons.
    'false': 50
    'true': 0

  trap_chance:
    # Percentage chance of an added filler item being a trap. Items in the base pool are not affected. Has no effect if Curse of Horns is active.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    50: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-100: 0 # random value between 0 and 100

  enable_all_traps:
    # Enabling this overrides the individual trap settings and enables all types of traps.
    'false': 50
    'true': 0

  slowness_traps:
    # Enable slowness traps, which prevent you from running for 20 seconds.
    'false': 50
    'true': 0

  rust_traps:
    # Enable rust traps, which disable boots and rings for 20 seconds.
    'false': 50
    'true': 0

  confusion_traps:
    # Enable confusion traps, which reverse your movement for 20 seconds.
    'false': 50
    'true': 0

  disarming_traps:
    # Enable disarming traps, which prevent use of the pick for 20 seconds.
    'false': 50
    'true': 0

  light_traps:
    # Enable light traps, which attack you with beams of light for 20 seconds.
    'false': 50
    'true': 0

  glitch_traps:
    # Enable glitch traps, which cause graphical glitches for 20 seconds.
    'false': 50
    'true': 0

  zombie_traps:
    # Enable zombie traps, which spawn zombies around you.
    'false': 50
    'true': 0

  shadow_traps:
    # Enable shadow traps, which warp you as though you used the Dread Hand.
    'false': 50
    'true': 0

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
